Bug 216301 - Xnest doesn't capture all mouse movement
Xnest doesn't capture all mouse movement
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-18 20:48 EST by Stewart Adam
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: xorg-x11-server-Xnest-1.3.0.0-9.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-03 11:03:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log for :0 (27.51 KB, text/plain)
2007-01-30 21:54 EST, Stewart Adam
no flags Details
Xorg log for :20 (27.07 KB, text/plain)
2007-01-30 21:55 EST, Stewart Adam
no flags Details
Xorg config file (869 bytes, text/plain)
2007-01-30 21:57 EST, Stewart Adam
no flags Details

  None (edit)
Description Stewart Adam 2006-11-18 20:48:05 EST
Description of problem:
When using my mouse in Xnest I have to hold click, move the mouse, and then
click. If I simply move my mouse, the pointer moves but clicking click on the
spot I last held click + moved the mouse, then clicked.
For example in Nautilus - Clicking on Refresh won't work. I have to hold click,
move rapidly back and forth over Refresh, then click. If I move my mouse over to
'Back' and click, it refreshes. I have to hold click and rapidly move over
'Back' and then click, etc.

Version-Release number of selected component (if applicable):
Both FC6 and devel versions

How reproducible:
Always

Steps to Reproduce:
1. Start Xnest like this: 'Xnest :1 -ac&'
2. Start a program: 'DISPLAY=:1 programname&'
  
Actual results:
Not all mouse movement is captured

Expected results:
Mouse movement it captured

Additional info:
xev doesn't see mouse movement either until I hold click and move
Comment 1 Matěj Cepl 2006-12-29 05:30:58 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Stewart Adam 2006-12-29 10:33:01 EST
Unfortunately my power source died a few days ago, so I can't access my
installation for now. I'll post the logs as soon as I can.
Comment 3 Matěj Cepl 2007-01-02 09:34:34 EST
Please, keep, the NEEDINFO status on until the real information is provided.
Comment 4 Stewart Adam 2007-01-03 19:20:44 EST
I just reinstalled onto the new system, the problem's gone. I'll close as NOTABUG.
Comment 5 Stewart Adam 2007-01-30 21:54:28 EST
Created attachment 146996 [details]
Xorg log for :0
Comment 6 Stewart Adam 2007-01-30 21:55:38 EST
Created attachment 146997 [details]
Xorg log for :20
Comment 7 Stewart Adam 2007-01-30 21:57:11 EST
Created attachment 146998 [details]
Xorg config file

Card: nVidia 7300 GS
(running w/ Compiz)
Comment 8 Stewart Adam 2007-01-30 21:58:10 EST
It's happening again, after updating to development packages - Let me know if
you need more logs.
Comment 9 Stewart Adam 2007-02-11 20:29:36 EST
Do you need a xev output?

Note You need to log in before you can comment on or make changes to this bug.